Shahriyar Ahmed Shahriyar Ahmed - 1 year ago 60
Git Question

Couldn't install dependancy using carthage

I've been installing dependencies using pods, but now i've tried carthage first time.
I've opened an issue on git also, but looking for a quick help.

Here's the github link of issue:
https://github.com/Alamofire/Alamofire/issues/1765

Short Desc about Issue:

The following build commands failed:

CompileSwift normal x86_64
CompileSwiftSources normal x86_64 com.apple.xcode.tools.swift.compiler

(2 failures)

My Xcode version is 8.0,
git version 2.8.4 (Apple Git-73),
and carthage version 0.18.1: Redundant Redundancy

Any help would be highly appricaited

Answer Source

I had 3 versions of xcode installed 7, 8.0 and 8.1, I was trying on xcode 8 but I ended up using xcode 8.1 and changing the command line tool of xcode from preferences to xcode 8.1

hope this helps anyone else :)